---
title: Check Individual
slug: poc-onboarding/check-individual
createdAt: 2025-06-23T05:38:42.430Z
---

{
  "id": "8Y907lmm9Ioib0Pg0KIlB",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/CheckInd",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/CheckInd"
      }
    ],
    "name": "Check Individual",
    "description": "<p>When all documents and selfie images have been uploaded, use this endpoint to confirm and start the verification process.</p>\n<p>Make sure all required documents for your flow have been uploaded before confirming to start the verification process. If all of the documents haven't been uploaded, using this endpoint can be harmful and may affect the verification result.</p>\n<p>If you've accidentally called this endpoint and haven't uploaded all required documents, create a new applicant and start the verification process again.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "example": "{\"applicantId\":\"4242424242424x424242424242424242\"}",
          "description": "",
          "customType": "Check_Individual",
          "schema": [
            {
              "name": "applicantId",
              "kind": "required",
              "type": "string",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/Check_Individual",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"response\":\"success\"}",
            "description": "",
            "customType": "Check_Individual_-_Response",
            "schema": [
              {
                "name": "response",
                "kind": "optional",
                "type": "string",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/Check_Individual_-_Response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/CheckInd \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"applicantId\": \"\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"applicantId\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/CheckInd\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/CheckInd\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"applicantId\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/CheckInd\"\n\npayload = json.dumps({\n   \"applicantId\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"response\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "pufJCTAURgOK_yJf9CaHC",
      "type": "paragraph",
      "children": [
        {
          "text": "When all documents and selfie images have been uploaded, use this endpoint to confirm and start the verification process."
        }
      ]
    },
    {
      "id": "shn7Kt_tRTtxjLTdDc4Sc",
      "type": "paragraph",
      "children": [
        {
          "text": "Make sure all required documents for your flow have been uploaded before confirming to start the verification process. If all of the documents haven't been uploaded, using this endpoint can be harmful and may affect the verification result."
        }
      ]
    },
    {
      "id": "dhbktWiTEWd1Jm2y9JmKO",
      "type": "paragraph",
      "children": [
        {
          "text": "If you've accidentally called this endpoint and haven't uploaded all required documents, create a new applicant and start the verification process again."
        }
      ]
    }
  ]
}